> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 데이터셋 목록

> 내 것과 공개 시드 데이터셋.

**`GET`** `https://api-datahub.octoparse.com/v1/datasets`

인증: API 키 필요(`Authorization: Bearer <API Key>`).

소유 데이터셋과 공개 플랫폼 시드 목록. 실행 결과는 데이터셋에 저장. 기본 보존을 넘기려면 retention 설정.

## 요청

### 쿼리 파라미터

<ParamField query="offset" type="integer">
  오프셋. 0부터.
</ParamField>

<ParamField query="limit" type="integer">
  페이지 크기.
</ParamField>

### 요청 예시

```bash theme={null}
curl   -H "Authorization: Bearer $OCTOPARSE_API_KEY"   "https://api-datahub.octoparse.com/v1/datasets?limit=50"
```

## 응답

### 200 성공

```json theme={null}
{
  "data": {
    "items": [
      {
        "dataset_id": "ds_0bd5345d13d0",
        "row_count": 120,
        "retained": false,
        "created_at": "2026-09-01T08:00:00+00:00"
      }
    ],
    "pagination": {
      "offset": 0,
      "limit": 50,
      "count": 1,
      "total": 1,
      "has_more": false
    }
  }
}
```

### 오류

| HTTP | `code`         | `category`  | 설명              |
| ---- | -------------- | ----------- | --------------- |
| 401  | `unauthorized` | `forbidden` | API 키 누락 또는 무효. |

오류 응답은 `{"error": {code, category, message, retryable}}`입니다. <a href="/docs/ko/datahub/api/reference/introduction#errors">오류</a> 참고.

## 클라이언트 라이브러리

<CodeGroup>
  ```python Python theme={null}
  page = client.list_datasets(limit=50)
  for ds in page["items"]:
      print(ds["dataset_id"], ds["row_count"], ds["retained"])
  ```

  ```js JavaScript theme={null}
  const page = await client.listDatasets({ limit: 50 });
  for (const ds of page.items) {
    console.log(ds.dataset_id, ds.row_count, ds.retained);
  }
  ```
</CodeGroup>
